<?php
	
	// sets content width, handy for youtube content
	if ( ! isset( $content_width ) )
	$content_width = 590;

	// enables wigitized sidebars
	function biotodoma_widgets_init() {
	
	// Sidebar Widget
	register_sidebar( array(
		'name'=> 'Sidebar', 'biotodoma' ,
		'id' => 'sidebar-widget-area',
		'description' => 'The sidebar widget area', 'biotodoma',
		'before_widget' => '<div class="widget-area">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );
	
	
	
	// Footer Widget Left
	register_sidebar(array(
		'name'=>'Footer Left', 'biotodoma',
		'id' => 'left-footer-widget-area',
		'description' =>'The left footer widget area', 'biotodoma',
		'before_widget' => '<div class="widget-area widget-footer">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	) );
	
	// Footer Widget Middle
	register_sidebar(array(
		'name'=>'Footer Middle', 'biotodoma',
		'id' => 'middle-footer-widget-area',
		'description' => 'The middle footer widget area', 'biotodoma',
		'before_widget' => '<div class="widget-area widget-footer">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	) );
	
	
	// Footer Widget Right
	register_sidebar(array(
		'name'=>'Footer Right', 'biotodoma',
		'id' => 'right-footer-widget-area',
		'description' =>'The right footer widget area', 'biotodoma',
		'before_widget' => '<div class="widget-area widget-footer">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	) );	
	
	}
	/** Register sidebars by running biotodoma_widgets_init() on the widgets_init hook. */
	add_action( 'widgets_init', 'biotodoma_widgets_init' );	
	

	function biotodoma_theme_styles()  
	{ 
	// Register the style like this for a theme:  
	// (First the unique name for the style (custom-style) then the src, 
	// then dependencies and ver no. and media type)
	  wp_register_style( 'biotodoma_style', 
		get_template_directory_uri() . '/style.css', 
		array(), 
		'20120208', 
		'all' );

  	// enqueing:
	wp_enqueue_style( 'biotodoma_style' );
	
	}
	add_action('wp_print_styles', 'biotodoma_theme_styles');
	
	//if a user  does not enter a post header that a fallback that links to the post will  be used.	
	 {{{
 	add_filter('the_title', 'biotodoma_title');  
 	function biotodoma_title($title) {  if ($title == '') {  return 'Untitled';  } else {  return $title;  }  }  
	 }}}

	// post thumbnail support
	add_theme_support( 'post-thumbnails' );
	
	// This theme uses wp_nav_menu() in three locations.
	register_nav_menus(array( 
	'header-menu' => 'Header Menu', 'footer-menu' => 'Footer Menu' )
  	);
	
	
	// custom background support
	add_theme_support( 'custom-background' );
	
	// automatic feed links
	add_theme_support('automatic-feed-links');
	
	// add callback for custom TinyMCE editor stylesheets.
	add_editor_style();

	// Removes Trackbacks from the comment cout
	add_filter('get_comments_number', 'biotodoma_comment_count', 0);
	function biotodoma_comment_count( $count ) {
		if ( ! is_admin() ) {
			global $id;
			$comments_by_type = &separate_comments(get_comments('status=approve&post_id=' . $id));
			return count($comments_by_type['comment']);
		} else {
			return $count;
		}
	}
	
	// custom excerpt ellipses
	function biotodoma_excerpt_ellipse($text) {
   	return str_replace('[...]', ' <a href="'.get_permalink().'"><span class="moretext">Read more...</span></a>', $text); }
	add_filter('the_excerpt', 'biotodoma_excerpt_ellipse');
	
	// title filter
	function biotodoma_title_filter( $old_title, $sep, $sep_location){
	global $paged, $page;
	$new_title = $old_title;
	
	// Add blog name
	$new_title .= get_bloginfo( 'name' );
		
	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$new_title .= " $sep $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		$new_title .=  " $sep " . sprintf( 'Page %s', max( $paged, $page ) );

	return $new_title;	
	}
	add_filter( 'wp_title', 'biotodoma_title_filter', 10, 3 );
	
	// wp_enqueue_script calls
	function biotodoma_theme_queue_js(){
	  if (!is_admin()){
		if ( is_singular() AND comments_open() AND (get_option('thread_comments') == 1))
		  wp_enqueue_script( 'comment-reply' );
	  }
	}
	add_action('wp_enqueue_scripts', 'biotodoma_theme_queue_js');
				

	// Custom Comments List.
	function biotodoma_mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment;
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
	
    <div id="comment-<?php comment_ID(); ?>">
		
        <?php if ($comment->comment_approved == '0') : ?>
		<div class="comment_approval">Your comment is awaiting moderation.</div>
		<?php endif; ?>
        
        <div class="comment-meta">
        <div class="gravatar">
			<?php echo get_avatar($comment,$size='80',$default='' ); ?>
		</div><!--comment-author gravatar-->
            <p class="comment_author"><?php comment_author_link(); ?></p>
			
            <p class="comment_date"><a href="<?php echo esc_attr( get_comment_link( $comment->comment_ID ) ); ?>"><?php printf('%1$s', get_comment_date(),  get_comment_time()); ?></a></p>
			<?php edit_comment_link('edit comment', '<p class="comment_edit">', '</p>'); ?>
		
		</div><!--comment-meta-->
		<div class="comment-text">
			<?php comment_text(); ?>
		
        <div class="reply">
			<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
		</div><!--reply-->
        
        </div><!--comment-text-->
		
	</div>
	<?php }

	/* wp_list_comments()->pings callback */
	function biotodoma_custom_pings($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    if('pingback' == get_comment_type()) $pingtype = 'Pingback';
    else $pingtype = 'Trackback';
	?>
    <li id="comment-<?php echo $comment->comment_ID ?>">
        <?php comment_author_link(); ?> - <?php echo $pingtype; ?> on <?php echo mysql2date('Y/m/d/ H:i', $comment->comment_date); ?>
	<?php }